Style (KML Framework API)
Keywords: org.boehn.kmlframework.kml.Style class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.boehn.kmlframework.kml
Class Style

    java.lang.Object
      org.boehn.kmlframework.kml.KmlObject
          org.boehn.kmlframework.kml.StyleSelector
              org.boehn.kmlframework.kml.Style

    public class Style

extends StyleSelector

Constructor Summary
`Style()`
`Style(IconStyle iconStyle, LabelStyle labelStyle, LineStyle lineStyle, PolyStyle polyStyle, BallonStyle ballonStyle, ListStyle listStyle)`

Method Summary
`BallonStyle` | `getBallonStyle()`
`IconStyle` | `getIconStyle()`
`LabelStyle` | `getLabelStyle()`
`LineStyle` | `getLineStyle()`
`ListStyle` | `getListStyle()`
`PolyStyle` | `getPolyStyle()`
`void` | `setBallonStyle(BallonStyle ballonStyle)`
`void` | `setIconStyle(IconStyle iconStyle)`
`void` | `setLabelStyle(LabelStyle labelStyle)`
`void` | `setLineStyle(LineStyle lineStyle)`
`void` | `setListStyle(ListStyle listStyle)`
`void` | `setPolyStyle(PolyStyle polyStyle)`
`void` | `write(Kml kml)`
`void` | `writeDelete(Kml kml)`

Methods inherited from class org.boehn.kmlframework.kml.KmlObject
`booleanToInt, enumToString, getId, getIdAndTargetIdFormatted, getTargetId, setId, setTargetId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Style

    public Style()

### Style

    public Style(IconStyle iconStyle,
                 LabelStyle labelStyle,
                 LineStyle lineStyle,
                 PolyStyle polyStyle,
                 BallonStyle ballonStyle,
                 ListStyle listStyle)

Method Detail

### getIconStyle

    public IconStyle getIconStyle()

### setIconStyle

    public void setIconStyle(IconStyle iconStyle)

### getLabelStyle

    public LabelStyle getLabelStyle()

### setLabelStyle

    public void setLabelStyle(LabelStyle labelStyle)

### getLineStyle

    public LineStyle getLineStyle()

### setLineStyle

    public void setLineStyle(LineStyle lineStyle)

### getPolyStyle

    public PolyStyle getPolyStyle()

### setPolyStyle

    public void setPolyStyle(PolyStyle polyStyle)

### getBallonStyle

    public BallonStyle getBallonStyle()

### setBallonStyle

    public void setBallonStyle(BallonStyle ballonStyle)

### getListStyle

    public ListStyle getListStyle()

### setListStyle

    public void setListStyle(ListStyle listStyle)

### write

    public void write(Kml kml)
               throws KmlException

  Specified by:
    `write` in class `KmlObject`
  Throws:
    `KmlException`

### writeDelete

    public void writeDelete(Kml kml)
                     throws KmlException

  Specified by:
    `writeDelete` in class `KmlObject`
  Throws:
    `KmlException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD